org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class AndTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.AndTest

- Direct Known Subclasses:
    AndTest.Traversals

      public abstract class AndTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AndTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AndTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_andXhasXage_gt_27X__outE_count_gte_2X_name()`
    `void` | `g_V_andXoutE__hasXlabel_personX_and_hasXage_gte_32XX_name()`
    `void` | `g_V_asXaX_andXselectXaX_selectXaXX()`
    `void` | `g_V_asXaX_outXknowsX_and_outXcreatedX_inXcreatedX_asXaX_name()`
    `void` | `g_V_hasXname_markoX_and_hasXname_markoX_and_hasXname_markoX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_andXhasXage_gt_27X__outE_count_gte_2X_name()`
    `abstract Traversal<Vertex,String>` | `get_g_V_andXoutE__hasXlabel_personX_and_hasXage_gte_32XX_name()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_asXaX_andXselectXaX_selectXaXX()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_asXaX_outXknowsX_and_outXcreatedX_inXcreatedX_asXaX_name()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_hasXname_markoX_and_hasXname_markoX_and_hasXname_markoX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AndTest

          public AndTest()

  - ### Method Detail

    - #### get_g_V_andXhasXage_gt_27X__outE_count_gte_2X_name

          public abstract Traversal<Vertex,String> get_g_V_andXhasXage_gt_27X__outE_count_gte_2X_name()

    - #### get_g_V_andXoutE__hasXlabel_personX_and_hasXage_gte_32XX_name

          public abstract Traversal<Vertex,String> get_g_V_andXoutE__hasXlabel_personX_and_hasXage_gte_32XX_name()

    - #### get_g_V_asXaX_outXknowsX_and_outXcreatedX_inXcreatedX_asXaX_name

          public abstract Traversal<Vertex,Vertex> get_g_V_asXaX_outXknowsX_and_outXcreatedX_inXcreatedX_asXaX_name()

    - #### get_g_V_asXaX_andXselectXaX_selectXaXX

          public abstract Traversal<Vertex,Vertex> get_g_V_asXaX_andXselectXaX_selectXaXX()

    - #### get_g_V_hasXname_markoX_and_hasXname_markoX_and_hasXname_markoX

          public abstract Traversal<Vertex,Vertex> get_g_V_hasXname_markoX_and_hasXname_markoX_and_hasXname_markoX()

    - #### g_V_andXhasXage_gt_27X__outE_count_gte_2X_name

          public void g_V_andXhasXage_gt_27X__outE_count_gte_2X_name()

    - #### g_V_andXoutE__hasXlabel_personX_and_hasXage_gte_32XX_name

          public void g_V_andXoutE__hasXlabel_personX_and_hasXage_gte_32XX_name()

    - #### g_V_asXaX_outXknowsX_and_outXcreatedX_inXcreatedX_asXaX_name

          public void g_V_asXaX_outXknowsX_and_outXcreatedX_inXcreatedX_asXaX_name()

    - #### g_V_asXaX_andXselectXaX_selectXaXX

          public void g_V_asXaX_andXselectXaX_selectXaXX()

    - #### g_V_hasXname_markoX_and_hasXname_markoX_and_hasXname_markoX

          public void g_V_hasXname_markoX_and_hasXname_markoX_and_hasXname_markoX()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.